<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

// Configuración del servidor para mostrar errores
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$documentRoot = realpath(__DIR__ . '/../..');
// Define la ruta al directorio de imágenes
$directoryPath = $documentRoot . "/assets/cstpdfimg/";

// Obtener el nombre del archivo desde el parámetro GET
$fileName = isset($_GET['fileName']) ? $_GET['fileName'] : '';

if (empty($fileName)) {
    http_response_code(400);
    echo json_encode(array("error" => "El nombre del archivo no ha sido proporcionado."));
    exit;
}

// Construir la ruta completa al archivo
$filePath = $directoryPath . '/' . $fileName;

// Verificar si el archivo existe
$fileExists = file_exists($filePath);

// Configurar la respuesta HTTP para devolver JSON
header('Content-Type: application/json');

// Devolver la respuesta JSON con true o false
echo json_encode(array("exists" => $fileExists));
?>



